> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_listtransactions.md).

# listtransactions {disallowed} - Bitcoin SV

Example code for the listtransactions  {disallowed} json-rpc method. Сomplete guide on how to use listtransactions  {disallowed} json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`label` - string, optional

If set, should be a valid label name to return only incoming transactions with the specified label, or “\*” to disable filtering and return all transactions.

`count` - numeric, optional, default=10

The number of transactions to return

`skip` - numeric, optional, default=0

The number of transactions to skip

`include_watchonly` - boolean, optional, default=true for watch-only wallets, otherwise false

Include transactions to watch-only addresses (see ‘importaddress’)

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "listtransactions",
"params": [null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
